﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Runtime.Serialization.Formatters.Soap;
using System.IO;

namespace PersonSoapFormatter
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Person p = new Person(textBox1.Text, int.Parse(textBox2.Text), textBox3.Text, textBox4.Text);
            System.Diagnostics.Trace.WriteLine("SOAP Serialize: " + p.ToString());

            FileStream fs = new FileStream(@"C:\Person2.bin", FileMode.Create, FileAccess.Write);
            SoapFormatter sf = new SoapFormatter();
            sf.Serialize(fs, p);
            fs.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            System.Threading.Thread.Sleep(1000);
            FileStream fs = new FileStream(@"C:\Person2.bin", FileMode.Open, FileAccess.Read);
            SoapFormatter sf = new SoapFormatter();
            Person p = (Person)sf.Deserialize(fs);
            fs.Close();
            System.Diagnostics.Trace.WriteLine("SOAP Deserialize: " + p.ToString());

            textBox1.Text = p.Name.ToString();
            textBox2.Text = p.ID.ToString();
            textBox3.Text = p.Phone.ToString();
            textBox4.Text = p.Address.ToString();
        }
    }
}
